Object.defineProperty(exports, "__esModule", { value: true });
var tools_1 = require("redux-arena/tools");
var react_router_dom_1 = require("react-router-dom");
var SwitchMotion_1 = require("./SwitchMotion");
var actions_1 = require("./actions");
var reducer_1 = require("./reducer");
var state_1 = require("./state");
exports.default = react_router_dom_1.withRouter(tools_1.bundleToComponent({
    Component: SwitchMotion_1.default,
    state: state_1.default,
    actions: actions_1.default,
    reducer: reducer_1.default,
    options: {
        vReducerKey: "_arenaSwitchAnimation"
    }
}));
var Phases_1 = require("./Phases");
exports.Phases = Phases_1.default;
